Theysen

[1.7.3-1.8.1] Realism Overhaul v12.8.1 [17 April 2020]

Recommended Posts

3 minutes ago, nepphhh said:

I believe DECQ's shuttle may be configured. I have seen people play with it but am unsure if the configs are included in RO current. You may need to do some local patching. This link may help:

And do you know about any ISS or MIR/DSG mod for 1.7.3 RO?

Share this post


Link to post
Share on other sites

Kerbalized SpaceX for RO?

Hello,

I have the above mod made by jhami74 but it is configured for the stock version.  In the past I have manually reconfigured the files for RO but it is very time consuming. Does anyone know of a source to make these crafts into RO versions, complete with real mass, dimensions, fuels, etc?

 

Thanks 

 

Share this post


Link to post
Share on other sites

Just as a sanity check, does RO still support procedural SRBs? I installed RO a few times but I can't find the part in VAB. I followed instructions closely and managed to narrow it down to one of recommended extra mods. Is there a mod conflict that I am missing?

Edit: Narrowed it down to RP-1.

Edited by viktor19
New info

Share this post


Link to post
Share on other sites
On 2/2/2020 at 1:32 AM, viktor19 said:

Just as a sanity check, does RO still support procedural SRBs? I installed RO a few times but I can't find the part in VAB. I followed instructions closely and managed to narrow it down to one of recommended extra mods. Is there a mod conflict that I am missing?

Edit: Narrowed it down to RP-1.

@DRVeyl?

Share this post


Link to post
Share on other sites
6 hours ago, whale_2 said:

Turns out there's no problem. RP-1 currently does not support procedural SRBs.

However, having played with RO for a while, I'm not sure I understand how RealAntennas works. My GEO relay isn't...relaying, and the mod wiki is not of much help.

Share this post


Link to post
Share on other sites
1 hour ago, viktor19 said:

Turns out there's no problem. RP-1 currently does not support procedural SRBs.

However, having played with RO for a while, I'm not sure I understand how RealAntennas works. My GEO relay isn't...relaying, and the mod wiki is not of much help.

All antennas should relay with RA. Do your probe and GEO relay have enough power to connect to each other? Also if you're using dishes they need to be aimed I think.

Share this post


Link to post
Share on other sites

Hello everyone, just a quick one.. does anyone know if RO is functional with 1.8.1 given that Kopernicus was updated yesterday? Ive only just got RSS working with Smurff and so I wondered if anyone out there has dived straight in to see if its ok..? Cheers :)

Share this post


Link to post
Share on other sites
1 hour ago, Sunscreen said:

Hello everyone, just a quick one.. does anyone know if RO is functional with 1.8.1 given that Kopernicus was updated yesterday? Ive only just got RSS working with Smurff and so I wondered if anyone out there has dived straight in to see if its ok..? Cheers :)

Yesterday a redditor posted this: 

"RSS, RSSVE, RO and RP-1 appear to work just fine on 1.8.1, against all odds. So far it seems like its fully playable in 1.8.1 with only minor bugs, and the performance is noticeably better. Of course, official updates for 1.8.1 will take time, but work has already started to take advantage of the new features of 1.8.1" -capkirk123

So If you really want to play on 1.8.1 you can. I wouldn't suggest it, first it's not playtested yet, so there will be bugs no one knows yet. Second you wont get any Support if you have problems.

Share this post


Link to post
Share on other sites
35 minutes ago, ValiZockt said:

Yesterday a redditor posted this: 

"RSS, RSSVE, RO and RP-1 appear to work just fine on 1.8.1, against all odds. So far it seems like its fully playable in 1.8.1 with only minor bugs, and the performance is noticeably better. Of course, official updates for 1.8.1 will take time, but work has already started to take advantage of the new features of 1.8.1" -capkirk123

So If you really want to play on 1.8.1 you can. I wouldn't suggest it, first it's not playtested yet, so there will be bugs no one knows yet. Second you wont get any Support if you have problems.

Ahh ok, thanks very much for the reply. Given what you say I shall wait as you suggest. Also apologies for not spotting that in the thread- I did have a peek but obviously missed it. Smurff does a fine job of tickling that Real Solar System itch in the meantime, although as a relative newbie to RO, its such a fine piece of work that will be great to be able to use it again (my fault- I inadvertently updated KSP and now a lot of mods are not backwards compatible). Thanks again :)

Edited by Sunscreen
clarity

Share this post


Link to post
Share on other sites

I'm curious, why is TACLS recommended rather than the more comprehensive Kerbalism?

Share this post


Link to post
Share on other sites

Kerbalism is recommended for RP-1; although I think Kerbalism's compatibility with RO/RP-1 is just in early stages. I've found issues between Kerbalism and:

  • Real Antennas Latest Kerbalism Version adds support for RA.
  • Remote Tech (straight incompatibility here)
  • Several parts from assorted, RO/RP-1 supported mods (specially crewed parts missing their habitats or life support systems)

I am really looking forward for full integration between RO/RP-1 and Kerbalism, as I am very attracted to incorporating challenges such as crew stress and comfort, radiation, etc.

Edited by hypervelocity

Share this post


Link to post
Share on other sites
On 2/5/2020 at 4:50 AM, Sunscreen said:

Hello everyone, just a quick one.. does anyone know if RO is functional with 1.8.1 given that Kopernicus was updated yesterday? Ive only just got RSS working with Smurff and so I wondered if anyone out there has dived straight in to see if its ok..? Cheers :)

RO isn't updated for KSP versions anymore. It's updated for fixes to part configs and it might just so happen to coincide with a KSP release. The RO.dll hasn't been version locked since KSP 1.3.1 and will work on any KSP version since then. What really needs updating is RSS and Kopernicus for each KSP release.

Share this post


Link to post
Share on other sites
On 2/9/2020 at 8:44 PM, raidernick said:

RO isn't updated for KSP versions anymore. It's updated for fixes to part configs and it might just so happen to coincide with a KSP release. The RO.dll hasn't been version locked since KSP 1.3.1 and will work on any KSP version since then. What really needs updating is RSS and Kopernicus for each KSP release.

Thanks Raidernick. That's great information. I really enjoy your rockets and probes mods by the way- superb work :) I never really appreciated the R-7 until I started using them. What a long lived and effective design that rocket has proven to be. Looking forward to using it some more :)

Share this post


Link to post
Share on other sites

Config help -> I installed the space launch system mod but the engines and maybe something else doesn't really notice the configs that are in there. The AJ10 OMS doesn't notice there are 2 configs and R-4D-11 doesn't notice the .cfg at all. How can i change it to take those cfgs fully in mind?

Share this post


Link to post
Share on other sites
2 hours ago, KnedlikMCPE said:

Config help -> I installed the space launch system mod but the engines and maybe something else doesn't really notice the configs that are in there. The AJ10 OMS doesn't notice there are 2 configs and R-4D-11 doesn't notice the .cfg at all. How can i change it to take those cfgs fully in mind?

If there are configs for your engines -that arent configured-  under GameData/RealismOverhaul/Engine_Configs/<yourengine.cfg> you can look up the enginetype and assign it to your engine with a MM Patch

So for example the R-4D-11 Engine Type is "R4D11" found in that <yourengine.cfg>

@PART[*]:HAS[#engineType[R4D11]]:FOR[RealismOverhaulEngines]

And then you can write this MM patch for each engine, that you want to have configured, <PutTheEngineNameInHere> has to be replaced by the part name obviously

@PART[<PutTheEngineNameInHere>]:FOR[RealismOverhaul]{
  RSSROConfig = True
  %engineType = R4D11
}

 

Share this post


Link to post
Share on other sites

I really loved it and all the recommended mods too But it is very heavy on my computer I hope for some help to improve performance

Share this post


Link to post
Share on other sites
18 hours ago, Wuwuk said:

Realism Overhaul Craft Files conflict with ROEngines when installing via ckan.

yes they do because roengines changes the names of parts and the craft files are made using the original parts, so they won't work if roengines or ROxxxxxxx mods are installed.

Share this post


Link to post
Share on other sites

I’m running ksp 1.7.3 with RO. I have only one RCS quad showing up. And it says it’s non RO. I thought there was supposed to be multiple quad rcs thrusters. Any fix? I am a hundred percent certain everything is installed correctly

Share this post


Link to post
Share on other sites
3 hours ago, Prathtel said:

I’m running ksp 1.7.3 with RO. I have only one RCS quad showing up. And it says it’s non RO. I thought there was supposed to be multiple quad rcs thrusters. Any fix? I am a hundred percent certain everything is installed correctly

same happens to me but as I have B9's mod installed I am using their RCS which has an RO configuration (plus a shielded version ideal for spaceplanes)

Edited by hypervelocity

Share this post


Link to post
Share on other sites
1 minute ago, hypervelocity said:

same happens to me but as I have B9's mod installed I am using their RCS which has an RO configuration (plus a shielded version ideal for spaceplanes)

I used to play on 1.6.1 and it had all the stock rcs quads. I think this is only affecting 1.7

Edited by Prathtel

Share this post


Link to post
Share on other sites

yeah, this is the first time this happens to me. I've been using RO since 0.90 and this is the first time I see this error; I also keep active KSP 1.2.2, 1.3.1 & 1.6.1 versions and they show all RCS ports. honestly I didn't bother too much in troubleshooting but I'm pretty certain it is an end-user error (i.e. installation error)

Edited by hypervelocity

Share this post


Link to post
Share on other sites

Trying to find an RSSVE version that will work on KSP 1.8.1 with RSS 18.0.

Found a reply somewhere saying the 1.7.3 version still works and saw someone above mention it as well, so I downloaded that from here https://github.com/KSP-RO/RSSVE/releases but it says on startup that the mod is not compatibly with the current version of Unity. Using the EVE version 1.8.0.2  https://github.com/WazWaz/EnvironmentalVisualEnhancements/releases

Any tips to get this running?

[edit] Hah, I think the game heard me and got scared. It works after a other startup of the game. Go figure.

I'll leave this up in case someone else is looking for the information.

Edited by Jimbodiah

Share this post


Link to post
Share on other sites

Hello all! Does anyone know of a fix for getting SSTU Orion Service module And capsule working in 1.7.3? The fuel configuration disappears when you go to launch.  Thanks so much! 

Share this post


Link to post
Share on other sites

Try this patch. Copy the below to a file named ssturo-comparability-patch.cfg 

(WARNING: written by someone half asleep while curled up in bed with his cats.  from memory. On his phone)<- not part of patch

@PART[*]:HAS[@MODULE[ModuleFuelTanks],@MODULE[SSTUVolumeContainer]]:FINAL
{
	!MODULE[SSTUVolumeContainer]{}
}

 

Edited by Starwaster
verifying format and module names. Cleaning up.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.